<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RCss StructType
 * @subpackage Structs
 */
class RCss extends AbstractStructBase
{
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The clause
     * Meta information extracted from the WSDL
     * - documentation: Read-only.
     * - base: xsd:string
     * - maxLength: 1024
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $clause;
    /**
     * The dialPlanWizardGenId
     * Meta information extracted from the WSDL
     * - documentation: Read-only.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $dialPlanWizardGenId;
    /**
     * The members
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\Members
     */
    public $members;
    /**
     * The partitionUsage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $partitionUsage;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RCss
     * @uses RCss::setDescription()
     * @uses RCss::setClause()
     * @uses RCss::setDialPlanWizardGenId()
     * @uses RCss::setMembers()
     * @uses RCss::setPartitionUsage()
     * @uses RCss::setName()
     * @uses RCss::setUuid()
     * @param string $description
     * @param string $clause
     * @param string $dialPlanWizardGenId
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Members $members
     * @param string $partitionUsage
     * @param string $name
     * @param string $uuid
     */
    public function __construct($description = null, $clause = null, $dialPlanWizardGenId = null, \\Losc\CucmBundle\Model\Webservice\StructType\Members $members = null, $partitionUsage = null, $name = null, $uuid = null)
    {
        $this
            ->setDescription($description)
            ->setClause($clause)
            ->setDialPlanWizardGenId($dialPlanWizardGenId)
            ->setMembers($members)
            ->setPartitionUsage($partitionUsage)
            ->setName($name)
            ->setUuid($uuid);
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCss
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get clause value
     * @return string|null
     */
    public function getClause()
    {
        return $this->clause;
    }
    /**
     * Set clause value
     * @param string $clause
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCss
     */
    public function setClause($clause = null)
    {
        $this->clause = $clause;
        return $this;
    }
    /**
     * Get dialPlanWizardGenId value
     * @return string|null
     */
    public function getDialPlanWizardGenId()
    {
        return $this->dialPlanWizardGenId;
    }
    /**
     * Set dialPlanWizardGenId value
     * @param string $dialPlanWizardGenId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCss
     */
    public function setDialPlanWizardGenId($dialPlanWizardGenId = null)
    {
        $this->dialPlanWizardGenId = $dialPlanWizardGenId;
        return $this;
    }
    /**
     * Get members value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Members|null
     */
    public function getMembers()
    {
        return $this->members;
    }
    /**
     * Set members value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Members $members
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCss
     */
    public function setMembers(\\Losc\CucmBundle\Model\Webservice\StructType\Members $members = null)
    {
        $this->members = $members;
        return $this;
    }
    /**
     * Get partitionUsage value
     * @return string|null
     */
    public function getPartitionUsage()
    {
        return $this->partitionUsage;
    }
    /**
     * Set partitionUsage value
     * @param string $partitionUsage
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCss
     */
    public function setPartitionUsage($partitionUsage = null)
    {
        $this->partitionUsage = $partitionUsage;
        return $this;
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCss
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCss
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
